Skip to main content
`Ctrl`+`K`

# DSNEPSetIntegrationPoints

Sets the number of integration points to be used in the contour integral method when solving a `DSNEP`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPSetIntegrationPoints(DS ds,PetscInt ip)

Logically Collective

## Input Parameters

- ds - the direct solver context

- ip - the number of integration points

## Options Database Key

- -ds_nep_integration_points <ip> - sets the number of integration points

## Notes

This parameter is relevant only in the contour integral method.

## See Also

DS: Direct Solver (or Dense System), `DSNEP`, `DSNEPGetIntegrationPoints()`

## Level

advanced

## Location

src/sys/classes/ds/impls/nep/dsnep.c

## Implementations

DSNEPSetIntegrationPoints_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages